Overview | Package | Class | Use | Tree | Deprecated | Index
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.eclipse.emf.ecp.view.spi.stack.model
Interface VStackPackage.Literals

Enclosing interface:
  VStackPackage

    public static interface VStackPackage.Literals

Defines literals for the meta objects that represent

- each class,
- each feature of each class,
- each enum,
- and each data type

Field Summary
`static org.eclipse.emf.ecore.EClass` | `STACK_ITEM` The meta object literal for the '`Item`' class.
`static org.eclipse.emf.ecore.EAttribute` | `STACK_ITEM__VALUE` The meta object literal for the 'Value' attribute feature.
`static org.eclipse.emf.ecore.EClass` | `STACK_LAYOUT` The meta object literal for the '`Layout`' class.
`static org.eclipse.emf.ecore.EReference` | `STACK_LAYOUT__DOMAIN_MODEL_REFERENCE` The meta object literal for the 'Domain Model Reference' containment reference feature.
`static org.eclipse.emf.ecore.EReference` | `STACK_LAYOUT__STACK_ITEMS` The meta object literal for the 'Stack Items' containment reference list feature.
`static org.eclipse.emf.ecore.EReference` | `STACK_LAYOUT__TOP_ELEMENT` The meta object literal for the 'Top Element' reference feature.

Field Detail

### STACK_LAYOUT

    static final org.eclipse.emf.ecore.EClass STACK_LAYOUT

  The meta object literal for the '`Layout`' class.

  See Also:
    `VStackLayoutImpl`, `VStackPackageImpl.getStackLayout()`

### STACK_LAYOUT__DOMAIN_MODEL_REFERENCE

    static final org.eclipse.emf.ecore.EReference STACK_LAYOUT__DOMAIN_MODEL_REFERENCE

  The meta object literal for the 'Domain Model Reference' containment reference feature.

### STACK_LAYOUT__STACK_ITEMS

    static final org.eclipse.emf.ecore.EReference STACK_LAYOUT__STACK_ITEMS

  The meta object literal for the 'Stack Items' containment reference list feature.

### STACK_LAYOUT__TOP_ELEMENT

    static final org.eclipse.emf.ecore.EReference STACK_LAYOUT__TOP_ELEMENT

  The meta object literal for the 'Top Element' reference feature.

### STACK_ITEM

    static final org.eclipse.emf.ecore.EClass STACK_ITEM

  The meta object literal for the '`Item`' class.

  See Also:
    `VStackItemImpl`, `VStackPackageImpl.getStackItem()`

### STACK_ITEM__VALUE

    static final org.eclipse.emf.ecore.EAttribute STACK_ITEM__VALUE

  The meta object literal for the 'Value' attribute feature.

Overview | Package | Class | Use | Tree | Deprecated | Index
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2015. All Rights Reserved.